Subject: bug#77299: eww-auto-rename-buffer 'title interaction with eww-readable-urls

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Jun 2025 22:30:45 +0300

> Date: Wed, 11 Jun 2025 10:11:03 -0700
> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> 
> On 6/9/2025 6:38 AM, Keith Amidon wrote:
> > A quick update on this: I've been using the version of eww-display-html 
> > quoted below regularly since I last commented on the bug about a month 
> > ago and think it is working fine. If the approach seems acceptable, I'd 
> > be happy to prepare a patch to send to emacs-devel.   --- Keith
> 
> I think I'd prefer a solution that doesn't require a workaround like 
> this.

What workaround are you alluding to?

> If we could get a fix that resolves this issue without the 
> workaround, I think that would be best.

Feel free to suggest a way if you see it.  Both Keith and myself
looked at the code and concluded that it would be impossible without
completely rewriting this functionality.  See
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77299#8